[global_tags]
[agent]
  interval = "10s"
  round_interval = true
  metric_batch_size = 1000
  metric_buffer_limit = 10000
  collection_jitter = "0s"
  flush_interval = "10s"
  flush_jitter = "0s"
  precision = ""
  omit_hostname = false
  debug = true
[[outputs.influxdb_v2]]
  urls = ["http://influxdb:8086"]
  timeout = "5s"
  token = "my-auth-token"
  organization = "my-org"
  bucket = "mqtt-bucket"
[[inputs.mqtt_consumer]]
  servers = ["tcp://mosquitto:1883"]
  client_id = "telegraf"

  ## Topics that will be subscribed to.
  topics = [
    "sensornet/measurements",
  ]
  data_format = "json_v2"
  [[inputs.mqtt_consumer.topic_parsing]]
    topic = "sensornet/+"
    measurement = "_/measurements"
  [[inputs.mqtt_consumer.json_v2]]
    [[inputs.mqtt_consumer.json_v2.object]]
      path = "@this"
      tags = ["stage", "location", "device", "date", "measureno"]
      [inputs.mqtt_consumer.json_v2.object.fields]
        vorlauf_temp = "float"
        ruecklauf_temp= "float"
